com.fasterxml.jackson.databind.util

## Class ArrayBuilders.IntBuilder

- java.lang.Object
- - com.fasterxml.jackson.databind.util.PrimitiveArrayBuilder<int[]>
  - - com.fasterxml.jackson.databind.util.ArrayBuilders.IntBuilder

- Enclosing class:
    ArrayBuilders

      public static final class ArrayBuilders.IntBuilder
      extends PrimitiveArrayBuilder<int[]>

- - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.util.PrimitiveArrayBuilder

      `_bufferedEntryCount, _bufferHead, _bufferTail, _freeBuffer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArrayBuilders.IntBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int[]` | `_constructArray(int len)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.util.PrimitiveArrayBuilder

      `_reset, appendCompletedChunk, bufferedSize, completeAndClearBuffer, resetAndStart`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArrayBuilders.IntBuilder

          public ArrayBuilders.IntBuilder()

  - ### Method Detail

    - #### _constructArray

          public final int[] _constructArray(int len)

      Specified by:
        `_constructArray` in class `PrimitiveArrayBuilder<int[]>`